Announcement Announcement Module
Collapse
No announcement yet.
error while starting dmserver 1.0.2 Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • error while starting dmserver 1.0.2

    when i start the dm-server-1.0.2 i am getting the following error

    Mandatory reference '&controlExporter' in bundle 'com.springsource.server.deployer.core' version '1.0.2.SR02' is waiting for service with filter '(objectClass=com.springsource.server.control.core .ControlExporter)'.
    Mandatory reference '&configTreeFactory#org.springframework.osgi.servi ce.importer.support.OsgiServiceProxyFactoryBean#0' in bundle 'com.springsource.server.deployer.core' version '1.0.2.SR02' is waiting for service with filter '(objectClass=com.springsource.server.config.core. ConfigTreeFactory)'.

    The above two lines comes for 3 times then the server is shutdown automatically.

    I have added the given below bundles in C:\springsource-dm-server-1.0.2.SR02\repository\bundles\usr

    org.springframework.web-3.0.5.RELEASE
    org.springframework.osgi.core-1.1.2.A
    org.springframework.core-3.0.5.RELEASE
    org.springframework.context-3.0.5.RELEASE
    org.springframework.beans-3.0.5.RELEASE
    org.springframework.aop-3.0.5.RELEASE
    com.springsource.server.web.core-2.0.3.RELEASE
    com.springsource.org.testng-5.12.1
    com.springsource.org.objectweb.asm-3.2.0
    com.springsource.org.easymock-2.5.2
    com.springsource.org.apache.tapestry-upload-5.1.0.5
    com.springsource.net.sf.cglib-2.2.0
    com.springsource.javassist-3.10.0.GA
    com.springsource.freemarker-2.3.15

    if i remove the bundles from the repository then the server starts without problem.


    can anyone tell me why am i getting the following error?
    What is the solution for that ?
Working...
X